#
# spec file for package gvd (Version 1.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  GtkAda glib glib-devel gnat gnat-runtime gpp gppshare gtk gtk-devel libgpp tetex xdevel xshared
# usedforbuild    GtkAda aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnat gnat-runtime gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         gvd
Copyright:    GPL
Group:        Development/Debuggers
Requires:     gdb gtk >= 1.2.2, GtkAda >= 1.2.12
Autoreqprov:  on
Version:      1.2.0
Release:      67
Source0:      %{name}-%{version}-src.tar.bz2
Patch0:       %{name}-%{version}.diff
URL:          http://libre.act-europe.fr/%{name}/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      The GNU visual debugger

%description
GVD, the GNU Visual Debugger, is an extensible graphical debugger licensed
under the GNU General Public License and written in Ada using GNAT and the
GtkAda graphical toolkit.

Authors:
--------
    Emmanuel Briot <briot@gnat.com>
    Arnaud Charlet <charlet@gnat.com>
    Nicolas Setton <setton@gnat.com>

SuSE series: d

%prep
%setup -n %{name}-%{version}-src
%patch0
%{?suse_update_config:%{suse_update_config}}

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CC=gnatgcc
./configure     --mandir=%{_mandir} \
                --prefix=%{_prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
cp AUTHORS COPYING INSTALL $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}/*
%{_prefix}/bin/*
%{_prefix}/share/locale/fr/LC_MESSAGES/*

%changelog -n gvd
* Thu Sep 20 2001 - kukuk@suse.de
- Add gdb to Requires [Bug #11019]
* Thu Aug 02 2001 - rvasice@suse.cz
- update to version 1.2.0
* Fri Jun 08 2001 - rvasice@suse.cz
- spec file cleanup
* Fri Jun 08 2001 - rvasice@suse.cz
- fixed docs
* Mon Jun 04 2001 - rvasice@suse.cz
- initial package (version 1.1.0)
